body {
    font-family: "Kanit", sans-serif;
}

.contact_header {
    background-image: linear-gradient(
            rgba(255, 255, 255, 0.1),
            rgba(255, 255, 255, 0.1)
        ),
        url("/images/Background_header_companyProfile.jpg");
    display: flex;
    /* จัดกึ่งกลางในแนวนอน */
    background-size: cover;

    min-height: 100%;
}

.contact_header h1 {
    color: #ffffff;
    font-size: 34px;
    padding-top: 30px;
    padding-bottom: 30px;
    padding-left: 10%;
    font-family: "Mitr", sans-serif;
    font-weight: 300;
    font-style: normal;
}

.contact_location {
    display: flex;
    gap: auto;
    flex: 6;
    padding: 60px 60px 0px 60px;
}

.data_location {
    padding: 0px 70px 30px 30px;
}

.map_mobile {
    display: none;
}

.data_location h1 {
    color: #752f8b;
    font-weight: 500;
    font-size: 24px;
}

.data_location p {
    color: #752f8b;
    font-size: 23px;
    padding: 70px 50px 50px 50px;
}

.map img {
    padding: 50px 50px 50px 50px;
}

.social_contact {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding-left: 8%;
    padding-bottom: 500px;
}

.facebook {
    display: flex;
    align-items: center;
}

.phone {
    display: flex;
    align-items: center;
}

.email {
    display: flex;
    align-items: center;
}

.facebook_logo {
    width: 45px;
    height: 45px;
}

.phone_logo {
    width: 45px;
    height: 45px;
}

.email_logo {
    width: 45px;
    height: 45px;
}

.facebook p {
    color: #752f8b;
    font-size: 22px;
    padding-left: 15px;
}

.phone p {
    color: #752f8b;
    font-size: 22px;
    padding-left: 15px;
}

.email p {
    color: #752f8b;
    font-size: 22px;
}

@media (min-width: 768px) and (max-width: 1023px) {
    .map {
        display: none;
    }
    .map_mobile {
        display: block;
        margin-top: 20px;
        margin-bottom: 10px;
    }

    .data_location {
        padding: 0px 30px 30px 30px;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    .data_location h1 {
        text-align: center;
    }

    .data_location p {
        padding: 70px 0px 50px 0px;
    }
}

@media (min-width: 425px) and (max-width: 767px) {
    .map {
        display: none;
    }
    .map_mobile {
        display: block;
        margin-top: 20px;
        margin-bottom: 10px;
    }

    .data_location {
        padding: 0;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    .data_location h1 {
        text-align: center;
    }

    .data_location p {
        padding: 70px 0px 50px 0px;
    }
}

@media (min-width: 320px) and (max-width: 424px) {
    .contact_location {
        display: flex;
        gap: auto;
        flex: 6;
        padding: 60px 20px 0px 20px;
    }

    .map {
        display: none;
    }
    .map_mobile {
        display: block;
        margin-top: 20px;
        margin-bottom: 10px;
    }

    .data_location {
        padding: 0;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    .data_location h1 {
        font-size: 20px;
        text-align: center;
    }

    .data_location p {
        font-size: 16px;
        padding: 70px 0px 50px 0px;
    }

    .facebook_logo {
        width: 35px;
        height: 35px;
    }

    .phone_logo {
        width: 35px;
        height: 35px;
    }

    .email_logo {
        width: 35px;
        height: 35px;
    }

    .facebook p {
        font-size: 16px;
    }

    .phone p {
        font-size: 16px;
    }

    .email p {
        font-size: 16px;
    }
}
